wireguard: bump to 1.0.20200729
[openwrt/staging/dedeckeh.git] / package / network / services / hostapd / Config.in
1 # wpa_supplicant config
2 config WPA_RFKILL_SUPPORT
3 bool "Add rfkill support"
4 depends on PACKAGE_wpa-supplicant || \
5 PACKAGE_wpa-supplicant-openssl || \
6 PACKAGE_wpa-supplicant-wolfssl || \
7 PACKAGE_wpa-supplicant-mesh-openssl || \
8 PACKAGE_wpa-supplicant-mesh-wolfssl || \
9 PACKAGE_wpa-supplicant-basic || \
10 PACKAGE_wpa-supplicant-mini || \
11 PACKAGE_wpa-supplicant-p2p || \
12 PACKAGE_wpad || \
13 PACKAGE_wpad-openssl || \
14 PACKAGE_wpad-wolfssl || \
15 PACKAGE_wpad-basic || \
16 PACKAGE_wpad-mini || \
17 PACKAGE_wpad-mesh-openssl || \
18 PACKAGE_wpad-mesh-wolfssl
19 default n
20
21 config WPA_MSG_MIN_PRIORITY
22 int "Minimum debug message priority"
23 depends on PACKAGE_wpa-supplicant || \
24 PACKAGE_wpa-supplicant-openssl || \
25 PACKAGE_wpa-supplicant-wolfssl || \
26 PACKAGE_wpa-supplicant-mesh-openssl || \
27 PACKAGE_wpa-supplicant-mesh-wolfssl || \
28 PACKAGE_wpa-supplicant-basic || \
29 PACKAGE_wpa-supplicant-mini || \
30 PACKAGE_wpa-supplicant-p2p || \
31 PACKAGE_wpad || \
32 PACKAGE_wpad-openssl || \
33 PACKAGE_wpad-wolfssl || \
34 PACKAGE_wpad-basic || \
35 PACKAGE_wpad-mini || \
36 PACKAGE_wpad-mesh-openssl || \
37 PACKAGE_wpad-mesh-wolfssl
38 default 3
39 help
40 Useful values are:
41 0 = all messages
42 1 = raw message dumps
43 2 = most debugging messages
44 3 = info messages
45 4 = warnings
46 5 = errors
47
48 config WPA_WOLFSSL
49 bool
50 default PACKAGE_wpa-supplicant-wolfssl ||\
51 PACKAGE_wpad-wolfssl ||\
52 PACKAGE_wpad-mesh-wolfssl ||\
53 PACKAGE_eapol-test-wolfssl
54 select WOLFSSL_HAS_AES_CCM
55 select WOLFSSL_HAS_ARC4
56 select WOLFSSL_HAS_DH
57 select WOLFSSL_HAS_OCSP
58 select WOLFSSL_HAS_SESSION_TICKET
59 select WOLFSSL_HAS_WPAS
60
61 config DRIVER_WEXT_SUPPORT
62 bool
63 default n
64
65 config DRIVER_11N_SUPPORT
66 bool
67 default n
68
69 config DRIVER_11AC_SUPPORT
70 bool
71 default n
72
73 config DRIVER_11AX_SUPPORT
74 bool
75 default n
76
77 config DRIVER_11W_SUPPORT
78 bool
79 default n
80
81 config WPA_ENABLE_WEP
82 bool "Enable support for unsecure and obsolete WEP"
83 help
84 Wired equivalent privacy (WEP) is an obsolete cryptographic data
85 confidentiality algorithm that is not considered secure. It should not be used
86 for anything anymore. The functionality needed to use WEP is available in the
87 current hostapd release under this optional build parameter and completely
88 removed in a future release.